// config.h : header file
//

#include "divers.h"

/////////////////////////////////////////////////////////////////////////////
// Cconfig dialog

class Cconfig : public CDialog
{
// Construction
public:
	Cconfig(TEMP_CALIBRATION *_pCalibration,int *_pPort,CWnd* pParent=NULL);

// Dialog Data
	//{{AFX_DATA(Cconfig)
	enum { IDD = IDD_CONFIG };
	CButton	m_bRadio1;
	CButton	m_bRadio2;
	CButton	m_bRadio3;
	CButton	m_bRadio4;
	CString	m_sCurRaw;
	UINT	m_nRaw1;
	UINT	m_nRaw2;
	float	m_nTemp1;
	float	m_nTemp2;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(Cconfig)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(Cconfig)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnRadio1();
	afx_msg void OnRadio2();
	afx_msg void OnRadio3();
	afx_msg void OnRadio4();
	afx_msg void OnBtnApply();
	afx_msg void OnChangeEdRaw1();
	afx_msg void OnChangeEdRaw2();
	afx_msg void OnChangeEdTemp1();
	afx_msg void OnChangeEdTemp2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	TEMP_CALIBRATION *pCalibration;
	int *pPort;
	TEMP_CALIBRATION calibration[4];
	int port;
	BOOL bTimer;

	void DoRadio(int _port);
	void GetConfig();
	void SetConfig();
	void DataChanged(BOOL bDataChanged);
	BOOL ApplyData();
	void SetItemDisabled(int nItem,BOOL bDisabled);
};
