
#ifndef __DIVERS__H__
#define __DIVERS__H__

//  =============== Defines ===============

#define TIMER_SCALE		500			// Raffraichissement toutes les 0.5 secondes

//  =============== Structures ===============

typedef struct
{
	union {
		int raw[2];
		struct {
			int raw1,raw2;	// Valeurs brut du port
		};
	};
	union {
		float temp[2];
		struct {
			float temp1,temp2;	// Temperature en C
		};
	};
} TEMP_CALIBRATION;

//  =============== Variables ===============

extern TEMP_CALIBRATION tCalibration[4];
extern int currentPort;

//  =============== Prototypes ===============

void ReadJoystick(int *pData, int mask);
int ReadButtons(void);
float convertRawToTemp(int raw);
int ReadTemperature(int *pRaw,float *pTemp,int port);

#endif